Class | Bio::Hinv::HixRepresent
In: | lib/bio/io/hinv.rb
Parent: | Object

serv = Bio::Hinv::HixRepresent.new serv.query("hix" => "HIX0000001") puts serv.result puts serv.rep_h_invitational_id puts serv.rep_accession_no

### Methods

new rep_accession_no rep_h_invitational_id result

### Included Modules

Common

### Public Class methods

new()

[Source]

         # File lib/bio/io/hinv.rb, line 335
    335:       def initialize
    336:         @url = BASE_URI + "hix_represent.php"
    337:       end

### Public Instance methods

rep_accession_no()

[Source]

         # File lib/bio/io/hinv.rb, line 352
    352:       def rep_accession_no
    353:         @xml.elements['//REP-ACCESSION-NO'].text
    354:       end

rep_h_invitational_id()

Alias for result

result()

<?xml version=‘1.0’ encoding=‘UTF-8’?> <H-Inv>

     <LOCUS>
      <CLUSTER-ID>HIX0000001</CLUSTER-ID>
      <REP-H-INVITATIONAL-ID>HIT000022181</REP-H-INVITATIONAL-ID>
      <REP-ACCESSION-NO>AK097327</REP-ACCESSION-NO>
     </LOCUS>

</H-Inv>

[Source]

         # File lib/bio/io/hinv.rb, line 347
    347:       def result
    348:         @xml.elements['//REP-H-INVITATIONAL-ID'].text
    349:       end

[Validate]